Debian Bug report logs - #340927
manpages-dev: udp(7): example variable name contains "tcp" not "udp"

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Malcolm Scott <mas90@io.malc.org.uk>

Date: Sun, 27 Nov 2005 00:48:03 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages-dev/2.10-1

Fixed in version manpages/2.15-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#340927; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Malcolm Scott <mas90@io.malc.org.uk>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Malcolm Scott <mas90@io.malc.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: udp(7): example variable name contains "tcp" not "udp"
Date: Sun, 27 Nov 2005 00:40:56 +0000
Package: manpages-dev
Version: 2.10-1
Severity: minor

udp(7) contains the following example code (under the heading IOCTLS):

   error = ioctl(tcp_socket, ioctl_type, &value);
   
This should say udp_socket (consistent with the synopsis) rather than tcp_socket.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-rc1
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)

Versions of packages manpages-dev depends on:
ii  manpages                      2.10-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#340927; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 340927@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Malcolm Scott <mas90@io.malc.org.uk>,340927@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#340927: manpages-dev: udp(7): example variable name contains "tcp" not "udp"
Date: Wed, 30 Nov 2005 09:42:37 +0100 (MET)
tags 340927 fixed-upstream
thanks.

> udp(7) contains the following example code (under the heading IOCTLS):
> 
>    error = ioctl(tcp_socket, ioctl_type, &value);
>    
> This should say udp_socket (consistent with the synopsis) rather than
> tcp_socket.

Thanks Malcolm.  Fixed for man-pages-2.15.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Malcolm Scott <mas90@io.malc.org.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 340927-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 340927-close@bugs.debian.org
Subject: Bug#340927: fixed in manpages 2.15-1
Date: Mon, 12 Dec 2005 07:47:11 -0800
Source: manpages
Source-Version: 2.15-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.15-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.15-1_all.deb
manpages_2.15-1.diff.gz
  to pool/main/m/manpages/manpages_2.15-1.diff.gz
manpages_2.15-1.dsc
  to pool/main/m/manpages/manpages_2.15-1.dsc
manpages_2.15-1_all.deb
  to pool/main/m/manpages/manpages_2.15-1_all.deb
manpages_2.15.orig.tar.gz
  to pool/main/m/manpages/manpages_2.15.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 340927@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Dec 2005 16:33:34 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.15-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 126534 340172 340927
Changes: 
 manpages (2.15-1) unstable; urgency=low
 .
   * New upstream release, with the following changes
     - Untypo in udp(7) (Closes: Bug#340927)
     - Added several signal manpages (Closes: Bug#126534)
     - Fixed character conversion in strftime(3) (Closes: Bug#340172)
Files: 
 b811a08ade6a62e6452683528e1986ed 584 doc - manpages_2.15-1.dsc
 0054b6f5831798d77155c2d6296f2f39 1072727 doc - manpages_2.15.orig.tar.gz
 ca957840c1b3e1f384d18423e3266a01 49666 doc - manpages_2.15-1.diff.gz
 641a8524b440dab8605de069857569c8 406546 doc important manpages_2.15-1_all.deb
 3ed1b0e438d7030d73d5b0f4274b9426 1115980 doc standard manpages-dev_2.15-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDnZmDW5ql+IAeqTIRAq62AJ0fXpTkEBcMsACt65y8qIIyWNytkQCeOnUq
OeAYtIcPCVMcrhZV2TdOjEc=
=pemy
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 00:20:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:54:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.